Facility connection endpoints

Create facility connection

post

Create a connections for a supplier facility with given ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility you want to create a connection for

Body
or
or
Responses
200

Creation was successful.

application/json

InterFacilityConnection

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
carrierKeystringOptional

The key of the carrier that is used for this connection. References known and configured carriers in the system.

Example: DHL_V2
carrierNamestringOptional

The name of the carrier that is used for this connection.

Example: DHL
idstringRequired
sourceFacilityRefstringRequired
targetone ofRequired
or
or
post
/api/facilities/{facilityId}/connections

List facility connections

get

Get the details for all connections related to the facility with the given ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility you want to get connections

Query parameters
targetFacilityRefstringOptional

The targetFacilityRef of the connection

startAfterIdstringOptional

all entities

sizeintegerOptional

number of entities to show

Default: 25
localestringOptional

Provide the localized names and descriptions for the parcel label classifications. If not provided the default locale is used., for example de_DE.

Responses
200

Facility connections was found & you were allowed to access it. The result is in the body.

application/json

InterFacilityConnections

totalintegerRequired

Total number of entities found for this query

Example: 42
get
/api/facilities/{facilityId}/connections

Get facility connection

get

Get the details for a facility connection related to the facility with the given ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility you want to get connections

connectionIdstringRequired

The ID that describes the connection of this facility to the its connections

Query parameters
localestringOptional

Provide the localized names and descriptions for the parcel label classifications. If not provided the default locale is used., for example de_DE.

Responses
200

Facility connections was found & you were allowed to access it. The result is in the body.

application/json

InterFacilityConnection

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
carrierKeystringOptional

The key of the carrier that is used for this connection. References known and configured carriers in the system.

Example: DHL_V2
carrierNamestringOptional

The name of the carrier that is used for this connection.

Example: DHL
idstringRequired
sourceFacilityRefstringRequired
targetone ofRequired
or
or
get
/api/facilities/{facilityId}/connections/{connectionId}

Update facility connection

put

Update the given connection for a facility

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility you want to get

connectionIdstringRequired

The referenced connection ID

Query parameters
localestringOptional

Provide the localized names and descriptions for the parcel label classifications. If not provided the default locale is used., for example de_DE.

Body
or
or
Responses
200

Modification was successful.

application/json

InterFacilityConnection

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
carrierKeystringOptional

The key of the carrier that is used for this connection. References known and configured carriers in the system.

Example: DHL_V2
carrierNamestringOptional

The name of the carrier that is used for this connection.

Example: DHL
idstringRequired
sourceFacilityRefstringRequired
targetone ofRequired
or
or
put
/api/facilities/{facilityId}/connections/{connectionId}

Delete facility connection

delete

Delete the connection for facility with the given ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
facilityIdstringRequired

ID of facility you want to delete a connection

connectionIdstringRequired

The ID of the connection you want to delete

Responses
200

Deletion was successful

No content

delete
/api/facilities/{facilityId}/connections/{connectionId}

No content

Last updated